sc::BFGSUpdate(3)

NAME
sc::BFGSUpdate -

The DFPUpdate class is used to specify a Broyden, Fletcher, Goldfarb,

 and Shanno hessian update scheme.

SYNOPSIS

#include <update.h>

Inherits sc::DFPUpdate.

  Public Member Functions
BFGSUpdate (StateIn &)
BFGSUpdate (const Ref< KeyVal > &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void update (const RefSymmSCMatrix &ihessian, const Ref< Function > &, const RefSCVector &xnew, const RefSCVector &gnew)

  Additional Inherited Members

Detailed Description

The DFPUpdate class is used to specify a Broyden, Fletcher, Goldfarb,

 and Shanno hessian update scheme. This hessian update method is the recommended method for use with QNewtonOpt objects.

Member Function Documentation

  void sc::BFGSUpdate::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::DFPUpdate.

Author

Generated automatically by Doxygen for MPQC from the source code.